public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: games-strategy/netherearth/, games-strategy/netherearth/files/
@ 2018-05-02 19:28 Pacho Ramos
  0 siblings, 0 replies; only message in thread
From: Pacho Ramos @ 2018-05-02 19:28 UTC (permalink / raw
  To: gentoo-commits

commit:     6fc56d0836ec8f7ba43b83cd8fb8ac51d1af8394
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Wed May  2 18:47:24 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Wed May  2 19:28:06 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6fc56d08

games-strategy/netherearth: Stop using games.eclass

Package-Manager: Portage-2.3.31, Repoman-2.3.9

 .../files/netherearth-0.52-freeglut.patch          |  4 +-
 .../files/netherearth-0.52-ldflags.patch           |  4 +-
 .../netherearth/netherearth-0.52-r1.ebuild         | 86 ++++++++++++++++++++++
 3 files changed, 90 insertions(+), 4 deletions(-)

diff --git a/games-strategy/netherearth/files/netherearth-0.52-freeglut.patch b/games-strategy/netherearth/files/netherearth-0.52-freeglut.patch
index 0fc147f0b7a..b61e1f139b0 100644
--- a/games-strategy/netherearth/files/netherearth-0.52-freeglut.patch
+++ b/games-strategy/netherearth/files/netherearth-0.52-freeglut.patch
@@ -1,5 +1,5 @@
---- main.cpp
-+++ main.cpp
+--- a/main.cpp
++++ b/main.cpp
 @@ -8,6 +8,7 @@
  
  #include <stdio.h>

diff --git a/games-strategy/netherearth/files/netherearth-0.52-ldflags.patch b/games-strategy/netherearth/files/netherearth-0.52-ldflags.patch
index 6b7ed3a8989..7d81f912764 100644
--- a/games-strategy/netherearth/files/netherearth-0.52-ldflags.patch
+++ b/games-strategy/netherearth/files/netherearth-0.52-ldflags.patch
@@ -1,5 +1,5 @@
---- Makefile.old	2010-10-12 09:30:19.000000000 +0200
-+++ Makefile	2010-10-12 09:30:38.000000000 +0200
+--- a/Makefile.old	2010-10-12 09:30:19.000000000 +0200
++++ b/Makefile	2010-10-12 09:30:38.000000000 +0200
 @@ -17,4 +17,4 @@
  all: $(TARGET)
  

diff --git a/games-strategy/netherearth/netherearth-0.52-r1.ebuild b/games-strategy/netherearth/netherearth-0.52-r1.ebuild
new file mode 100644
index 00000000000..e1aa7cabaaa
--- /dev/null
+++ b/games-strategy/netherearth/netherearth-0.52-r1.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit desktop
+
+MY_PV="${PV/./}"
+DESCRIPTION="A remake of the SPECTRUM game Nether Earth"
+HOMEPAGE="http://www.braingames.getput.com/nether/"
+SRC_URI="http://www.braingames.getput.com/nether/sources.zip
+	http://www.braingames.getput.com/nether/${PN}${MY_PV}.zip"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="mirror bindist"
+
+RDEPEND="
+	>=media-libs/libsdl-1.2.6-r3
+	>=media-libs/sdl-mixer-1.2.5-r1
+	media-libs/freeglut
+"
+DEPEND="${RDEPEND}
+	app-arch/unzip
+"
+
+S="${WORKDIR}/sources"
+
+data="../nether earth v${PV}"
+
+src_unpack() {
+	unzip -LL "${DISTDIR}/${PN}${MY_PV}.zip" >/dev/null || die
+	unzip -LL "${DISTDIR}/sources.zip" >/dev/null || die
+}
+
+src_prepare() {
+	default
+
+	DATA_DIR=/usr/share/${PN}
+
+	cp "${FILESDIR}/Makefile" . || die
+
+	# Fix compilation errors/warnings
+	eapply "${FILESDIR}"/${P}-linux.patch
+
+	eapply "${FILESDIR}"/${P}-freeglut.patch \
+		"${FILESDIR}"/${P}-glibc-212.patch \
+		"${FILESDIR}"/${P}-ldflags.patch
+
+	# Modify dirs and some fopen() permissions
+	eapply "${FILESDIR}/${P}-gentoo-paths.patch"
+	sed -i \
+		-e "s:models:${DATA_DIR}/models:" \
+		-e "s:textures:${DATA_DIR}/textures:" \
+		-e "s:maps/\*:${DATA_DIR}/maps/\*:" \
+		-e "s:\./maps:${DATA_DIR}/maps:" \
+		mainmenu.cpp || die
+	sed -i \
+		-e "s:models:${DATA_DIR}/models:g" \
+		-e "s:textures:${DATA_DIR}/textures:" \
+		-e "s:sound/:${DATA_DIR}/sound/:" \
+		nether.cpp || die
+	sed -i -e "s:maps:${DATA_DIR}/maps:" \
+		main.cpp || die
+	sed -i -e "s:textures/:${DATA_DIR}/textures/:" \
+		myglutaux.cpp || die
+
+	cd "${data}"
+	rm textures/thumbs.db
+}
+
+src_install() {
+	dobin nether_earth
+
+	cd "${data}"
+
+	# Install all game data
+	insinto "${DATA_DIR}"
+	doins -r maps models sound textures
+
+	dodoc readme.txt
+
+	newicon textures/nuclear.bmp ${PN}.bmp
+	make_desktop_entry nether_earth "Nether Earth" /usr/share/pixmaps/${PN}.bmp
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2018-05-02 19:28 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-05-02 19:28 [gentoo-commits] repo/gentoo:master commit in: games-strategy/netherearth/, games-strategy/netherearth/files/ Pacho Ramos

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox